SplFileInfo::setInfoClass
SplFileObject
SplFileInfo
PHP Manual

# SplFileInfo::__toString

(PHP 5 >= 5.1.2)

SplFileInfo::__toString — Returns the path to the file as a string

### Description

public void SplFileInfo::__toString ( void )

This method will return the file name of the referenced file.

### Parameters

This function has no parameters.

### Return Values

Returns the path to the file.

### Examples

Example #1 SplFileInfo::__toString() example

`<?php
$info = new SplFileInfo('foo');
var_dump($info->__toString());
echo $info.PHP_EOL;
$info = new SplFileInfo('/usr/bin/php');
var_dump($info->__toString());
echo $info.PHP_EOL;
?>`

The above example will output something similar to:

    string(3) "foo"
    foo
    string(12) "/usr/bin/php"
    /usr/bin/php

SplFileInfo::setInfoClass
SplFileObject
SplFileInfo
PHP Manual